This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 955682 - Review Request: nblocks - Classic falling blocks on console
Review Request: nblocks - Classic falling blocks on console
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-04-23 10:12 EDT by Christopher Meng
Modified: 2013-09-21 07:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 07:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-04-23 10:12:32 EDT
Spec URL: http://cicku.me/yetris.spec
SRPM URL: http://cicku.me/yetris-1.6-1.fc20.i686.rpm
Description: yetris is a customizable Tetris(tm) clone for the console. It aims to 
follow modern implementations with lots of features and please both 
casual players and Tetris(tm) enthusiasts.
Fedora Account System Username: cicku
Comment 1 Jason Tibbitts 2013-04-23 10:23:21 EDT
It is legally questionable to reference the Tetris trademark.  See the message here: http://lists.fedoraproject.org/pipermail/devel/2007-May/099847.html

Blocking FE-Legal; things may have changed over the past several years.
Comment 2 Tom "spot" Callaway 2013-04-23 10:44:45 EDT
Not at all. This is not acceptable for a number of reasons:

A) You can't call something a "Tetris(tm) clone".
B) You can't have something that is named confusingly similar to "Tetris". Yetris fails this test.

If you want this in Fedora, you'll need to rename it to something that is not at all similar to Tetris, and refer to it as a "falling block game". Please also make sure it is not using any of the same music as Tetris does, because at least some of that music are sound trademarks. You'd need to replace all "user viewable" references to "Yetris" with the new name (basically, you don't need to rename internal references in the code unless it is displayed to the user).
Comment 3 Christopher Meng 2013-04-23 12:57:02 EDT
(In reply to comment #2)
> Not at all. This is not acceptable for a number of reasons:
> 
> A) You can't call something a "Tetris(tm) clone".

This can be fixed easily. 

> B) You can't have something that is named confusingly similar to "Tetris".
> Yetris fails this test.

I just sent an email to upstream.

He may also jump into the big hole of confusion. 

> Please also make sure it is not using any of the same music as Tetris does,

This is a program running under BASH...anyway I will double check to ensure that.

I'll wait for the answer from upstream.
Comment 4 Christopher Meng 2013-04-23 22:06:49 EDT
(In reply to comment #2)

Hi Tom,  here is the reply from upstream:

I don't want to change oficially it because it's already packaged for Debian and it got a little fame during the past months. Is it possible to change the program's name only on Fedora? I guess that'd be troublesome to you, since you'd package it (and it's future updates) with a different name.

In case that's possible, I'd like the game to become nblocks. Here's the updated info:

nblocks - classic falling blocks on console
Description: nblocks is a customizable falling blocks game with textual interface. It has lots of features:
* High score.
* Customizable by commandline arguments and config file.
* Up to 6 next blocks.
* Block hold and Combo sequences.


Should we really have to change? 

Yetris name is well known now...Users are confused when their yum search cannot match anythings.
Comment 5 Tom "spot" Callaway 2013-04-24 09:29:29 EDT
Yes, you really do have to change. I would strongly advise upstream to consider changing it as well because the Tetris rights holder is extremely litigious.
Comment 6 Mario Blättermann 2013-07-01 15:17:01 EDT
(In reply to Christopher Meng from comment #0)
> Spec URL: http://cicku.me/yetris.spec
> SRPM URL: http://cicku.me/yetris-1.6-1.fc20.i686.rpm

Besides the name change in this review ticket, you have also to provide new files with the new name (all occurences of *etris patched out). BTW, the "srpm" file link points to a binary package.
Comment 7 Mario Blättermann 2013-07-01 15:24:05 EDT
The file headers have the "any later version" clause included, also seen in the README file, so the license is GPLv3+. Moreover, the version numbering in spec file header and %changelog doesn't match.
Comment 8 Mario Blättermann 2013-07-01 15:37:16 EDT
Unfortunately, this package bundles an external library (iniparser [1]) which is already in Fedora. Make sure you remove it from the unpacked sources before building the binary. This will need a patch to use iniparser externally.

[1] http://ndevilla.free.fr/iniparser/
Comment 9 Mario Blättermann 2013-09-21 05:52:38 EDT
(In reply to Mario Blättermann from comment #6)
> BTW, the "srpm" file link points to a binary package.

The package link is dead anyway, and the spec file hasn't been changed since my last comment. Are you still working on this package?
Comment 10 Christopher Meng 2013-09-21 07:32:41 EDT
No. 

I should have closed that review for a while. 

Sorry for the inconvenience.

Note You need to log in before you can comment on or make changes to this bug.